import { Test, TestingModule } from '@nestjs/testing';
import { AdminController } from './AdminController';
import { AdminModule } from './AdminModule';
import { AdminService } from './AdminService';

describe('AdminModule', () => {
  let module: TestingModule;

  beforeEach(async () => {
    module = await Test.createTestingModule({
      imports: [AdminModule],
    }).compile();
  });

  it('should compile the module', () => {
    expect(module).toBeDefined();
  });

  it('should provide AdminController', () => {
    const controller = module.get<AdminController>(AdminController);
    expect(controller).toBeDefined();
    expect(controller).toBeInstanceOf(AdminController);
  });

  it('should provide AdminService', () => {
    const service = module.get<AdminService>(AdminService);
    expect(service).toBeDefined();
    expect(service).toBeInstanceOf(AdminService);
  });
});
